diff --git a/lib/chutney/TorNet.py b/lib/chutney/TorNet.py
index 1bb3dce..3df8b4c 100644
--- a/lib/chutney/TorNet.py
+++ b/lib/chutney/TorNet.py
@@ -397,13 +397,14 @@ class LocalNodeBuilder(NodeBuilder):
         """
         datadir = self._env['dir']
         tor = self._env['tor']
+        torrc = self._getTorrcFname()
         cmdline = [
             tor,
             "--quiet",
+            "--ignore-missing-torrc",
+            "-f", torrc,
             "--list-fingerprint",
             "--orport", "1",
-            "--dirserver",
-            "xyzzy %s:1 ffffffffffffffffffffffffffffffffffffffff" % DEFAULTS['ip'],
             "--datadirectory", datadir]
         try:
             p = subprocess.Popen(cmdline, stdout=subprocess.PIPE)
@@ -417,7 +418,7 @@ class LocalNodeBuilder(NodeBuilder):
             else:
                 raise
         stdout, stderr = p.communicate()
-        fingerprint = "".join(stdout.split()[1:])
+        fingerprint = "".join((stdout.rstrip().split('\n')[-1]).split()[1:])
         if not re.match(r'^[A-F0-9]{40}$', fingerprint):
             print (("Error when calling %r. It gave %r as a fingerprint "
                     " and %r on stderr.")%(" ".join(cmdline), stdout, stderr))
diff --git a/net/.empty b/net/.empty
deleted file mode 100644
index e69de29..0000000
